package cn.superdesk.uniorder.dao.mapper.sys.notify;

import cn.superdesk.uniorder.dao.entity.sys.notify.SysNotifyTemplate;
import cn.superdesk.uniorder.dao.entity.sys.notify.SysNotifyTemplateExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SysNotifyTemplateMapper {
    long countByExample(SysNotifyTemplateExample example);

    int deleteByExample(SysNotifyTemplateExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SysNotifyTemplate record);

    int insertSelective(SysNotifyTemplate record);

    List<SysNotifyTemplate> selectByExampleWithBLOBs(SysNotifyTemplateExample example);

    List<SysNotifyTemplate> selectByExample(SysNotifyTemplateExample example);

    SysNotifyTemplate selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SysNotifyTemplate record, @Param("example") SysNotifyTemplateExample example);

    int updateByExampleWithBLOBs(@Param("record") SysNotifyTemplate record, @Param("example") SysNotifyTemplateExample example);

    int updateByExample(@Param("record") SysNotifyTemplate record, @Param("example") SysNotifyTemplateExample example);

    int updateByPrimaryKeySelective(SysNotifyTemplate record);

    int updateByPrimaryKeyWithBLOBs(SysNotifyTemplate record);

    int updateByPrimaryKey(SysNotifyTemplate record);
}